Subject: Re: [PATCH v3 1/2] git-p4: add test case for "Translation of file content failed" error

From: Junio C Hamano <[email-masked]>
Date: Mon, 21 Sep 2015 10:41:28 -0700

Lars Schneider <[email-masked]> writes:

> On 20 Sep 2015, at 23:16, Eric Sunshine <[email-masked]> wrote:
>
>> On Sun, Sep 20, 2015 at 12:22 PM,  <[email-masked]> wrote:
>>> A P4 repository can get into a state where it contains a file with
>>> type UTF-16 that does not contain a valid UTF-16 BOM. If git-p4
>>> attempts to retrieve the file then the process crashes with a
>>> "Translation of file content failed" error.
>> 
>> Hmm, are these tests going to succeed only after patch 2/2 is applied?
>> If so, the order of these patches is backward since you want each
>> patch to be able to stand on its own and not introduce any sort of
>> breakage.
> Yes, these tests succeed only after 2/2. I think I saw this approach
> somewhere in the Git history. I thought it would ease the reviewing
> process: show the problem in the first commit, fix it in a subsequent
> commit.
> However, I understand your point as 1/2 would break the build.
>
> What is the preferred way by the Git community? Combine patch and test
> in one commit or a patch commit followed by a test commit? I would
> prefer to have everything in one commit.

A single patch is fine and usually preferable when the patch does
not span all over the tree.